## org.apache.poi.poifs.filesystem
Class BlockStore.ChainLoopDetector

    java.lang.Object
      org.apache.poi.poifs.filesystem.BlockStore.ChainLoopDetector

Enclosing class:
  BlockStore

    protected class BlockStore.ChainLoopDetector

extends java.lang.Object

Used to detect if a chain has a loop in it, so we can bail out with an error rather than spinning away for ever...

Constructor Summary
`protected` `BlockStore.ChainLoopDetector(long rawSize)`

Method Summary
`protected void` `claim(int offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockStore.ChainLoopDetector

    protected BlockStore.ChainLoopDetector(long rawSize)

Method Detail

### claim

    protected void claim(int offset)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.